Bug 611320 - merge back rhel6 patches into Fedora-rawhide
merge back rhel6 patches into Fedora-rawhide
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mercurial (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-04 16:56 EDT by Florian La Roche
Modified: 2012-08-16 15:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:36:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.spec file changes (4.40 KB, patch)
2010-07-05 14:06 EDT, Florian La Roche
no flags Details | Diff
env patch (17.92 KB, patch)
2010-07-05 14:09 EDT, Florian La Roche
no flags Details | Diff

  None (edit)
Description Florian La Roche 2010-07-04 16:56:52 EDT
Description of problem:
The RHL6 version of mercurial contains patches which are not
synced back to Fedora-rawhide.

Please let me know if I should attach the changes into this bugzilla,
otherwise the rhel6-beta is public, so should be easy to merge back
changes again.

regards,

Florian La Roche


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mads Kiilerich 2010-07-04 20:23:22 EDT
/me wonders how and if Red Hat will "upstream" the changes they have made to their "Fedora fork" back to Fedora. Alternatively why Red Hat haven't upstreamed their changes to the software project (Mercurial in this case).

It will be very inefficient if all Fedora packagers must try and find RHEL source RPMs and pick patches without coordination with the Red Hat packager.

Perhaps Red Hat will publish their patches and push for their inclusion when RHEL6 is released?
Comment 2 Neal Becker 2010-07-05 07:23:10 EDT
My understanding is that upstream is trying to sync their package to ours.
Comment 3 Neal Becker 2010-07-05 07:25:16 EDT
Could you please attach patches?
Comment 4 Florian La Roche 2010-07-05 07:56:51 EDT
Hello Neal,

I'll attach the changes later today, shouldn't be a big deal overall.

Mads, Fedora and also RHEL are both pretty fast pace development and
Red Hat does _very_ good wrt Fedora/RHEL exchange, so this is only
a small item to report.

regards,

Florian La Roche
Comment 5 Florian La Roche 2010-07-05 14:06:47 EDT
Created attachment 429573 [details]
.spec file changes

Change to the .spec file, all only cosmetic changes.
Comment 6 Florian La Roche 2010-07-05 14:09:22 EDT
Created attachment 429574 [details]
env patch

patch to not use env, might make sense if this is the route also
for other Fedora rpms.
Comment 7 Neal Becker 2010-07-05 16:44:08 EDT
/usr/bin/env python is the standard way to invoke python on unix-like systems.  Why should it not be used for RHEL?
Comment 8 Jan Zeleny 2010-07-07 10:12:11 EDT
It's simple - /usr/bin/env python can cause supportability troubles when someone installs his version of python e.g. somewhere in $HOME and /usr/bin/env determines that this version should be the one used for running programs. In such cases it's impossible to guarantee that the program will run correctly.

Replacing /usr/bin/env python with /usr/bin/python (standard path for RHEL-packaged python for which the program is guaranteed to run) reduces probability situations like this will happen.

Sorry for not posting changes from RHEL to Fedora earlier.
Comment 9 Mads Kiilerich 2010-07-07 20:04:41 EDT
Jan, is that an internal RHEL packaging requirement? AFAIK it is not in Fedoras packaging guideline?

Red Hats internal policies and their consequences in RHEL packaging are really not relevant for Fedora.

It is unfortunate and a waste of time and effort if the guidelines (or packages) diverge, but it would be strange if that didn't happen. I expect and accept that Red Hat will guide Fedora in the direction they want by contributing man-power and expertise. But I guess that that discussion belongs somewhere else ;-)

(FWIW I don't see the point in the env change. People can spoil python programs by putting a different python in path, by replacing /usr/bin/python with something else, by setting LD environment variables and 1000 other ways. This patch doesn't add much value. What was the exact problem on the secret issue 528797?)
Comment 10 Jan Zeleny 2010-07-08 02:45:11 EDT
Yes, both patches are based on internal RHEL requirements. Only the spec file might be relevant to Fedora, because it takes care of some (mostly cosmetic) issues found by rpmlint.

As for /usr/bin/env, it is just RHEL policy to replace it in every program by its respective alternative, e.g. /usr/bin/python. Bug 528797 just states that it is needed to change /usr/bin/env python to /usr/bin/python in mercurial, there is no additional issue there.

I realize that there are many other ways how to spoil python programs, but for most of them user realizes that he might be breaking something. I guess that this particular scenario is easy to achieve while it remains unclear to some users that they are actually breaking their system.
Comment 11 Bug Zapper 2010-07-30 08:26:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Florian La Roche 2010-08-31 03:43:56 EDT
It should stay a priority to keep rpm packages between RHEL and fedora in sync.
Has this topic shown up in discussions or Fedora packaging guidelines so far?

It is not a big item overall...

regards,

Florian La Roche
Comment 13 Fedora End Of Life 2012-08-16 15:36:59 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.